FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List institutions

Gets a list of institutions a client subscribes to.

AI Actions
GET
/v1/institutions

Gets a list of institutions a client subscribes to.

Query Parameters

industrystring

The type of the institution e.g. “banking” or “energy”

Value in"banking" | "energy"
client_idstringrequired

Your team ID. You can get this from the settings menu of the Fiskil Console

sess_idstring

The auth session id

institution_modestring

The institution mode. If set to recommended, will load recommended institution data only

Value in"recommended"

Response Body

application/json

application/vnd.goa.error

curl -X GET "https://api.fiskil.com/v1/institutions?industry=banking&client_id=your-team-id&sess_id=ea564d-56012s4-6ds4564&institution_mode=recommended"
[
  {
    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",
    "id": "22",
    "industry": "banking",
    "is_accessible": true,
    "logo": "https://eastpaclogo.com.au/eastpac.svg",
    "name": "Eastpac",
    "priority": 1,
    "status": {
      "connections": {
        "status": "DEGRADED"
      }
    }
  },
  {
    "icon": "https://eastpaclogo.com.au/eastpac-icon.svg",
    "id": "22",
    "industry": "banking",
    "is_accessible": true,
    "logo": "https://eastpaclogo.com.au/eastpac.svg",
    "name": "Eastpac",
    "priority": 1,
    "status": {
      "connections": {
        "status": "DEGRADED"
      }
    }
  }
]
{
  "fault": true,
  "id": "123abc",
  "message": "parameter 'p' must be an integer",
  "name": "bad_request",
  "temporary": true,
  "timeout": false
}

Was this page helpful?

Delete end userGet institution by ID